Bug 454667 (truecrypt) - Review Request: truecrypt - Free open-source disk encryption software
Summary: Review Request: truecrypt - Free open-source disk encryption software
Status: CLOSED CANTFIX
Alias: truecrypt
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2008-07-09 15:57 UTC by Levente Farkas
Modified: 2012-06-04 16:05 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 14:51:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Levente Farkas 2008-07-09 15:57:10 UTC
Spec URL: http://www.lfarkas.org/linux/packages/fedora/SPECS/truecrypt-6.spec
SRPM URL: http://www.lfarkas.org/linux/packages/fedora/9/SRPMS/truecrypt-6.0a-1.src.rpm
Description: 
Manages encrypted TrueCrypt volumes, which can be mapped as virtual block
devices and used as any other standard block device. All data being read
from a mapped TrueCrypt volume is transparently decrypted and all data
being written to it is transparently encrypted.

Comment 1 Rahul Sundaram 2008-07-10 18:00:45 UTC
IIRC the truecrypt license at http://www.truecrypt.org/legal/license does not
meet the Fedora licensing requirements at 

http://fedoraproject.org/wiki/Licensing

Marking for legal review. 



Comment 2 Rahul Sundaram 2008-07-20 12:58:09 UTC
Just a note 

https://www.redhat.com/archives/fedora-legal-list/2008-May/msg00005.html

Comment 3 Tom "spot" Callaway 2008-08-06 16:04:04 UTC
License as-is is non-free. Going to try to talk to upstream to see if they are interested in resolving the issues (plural) with the license.

Comment 4 Levente Farkas 2008-08-06 16:38:11 UTC
can you tell me exactly which part of the license should have to change?

Comment 5 Tom "spot" Callaway 2008-08-06 16:42:30 UTC
It is quite a bit of changes, not a small matter. I emailed this to upstream, if you'd like a copy, I can email it to you as well.

Comment 6 Jason Tibbitts 2008-09-04 00:29:26 UTC
I'm curious whether using the RealCrypt "fork" would alleviate any of the issues.  It's pretty much the same situation that spawned iceweasel.

Comment 7 Valent Turkovic 2008-09-04 07:08:18 UTC
For those who are interested in TrueCrypt licence can look at it here:
http://www.truecrypt.org/legal/license

If the mail Tom sent is on some public mailing list I curious to see it.

Cheers,
Valent.

Comment 8 Tom "spot" Callaway 2008-09-04 14:36:08 UTC
The email correspondence has been directly with the TrueCrypt upstream. I sent them another email yesterday, so we seem to be making some progress, albeit, slowly.

Comment 9 Tom "spot" Callaway 2008-10-07 14:51:32 UTC
TrueCrypt upstream is no longer communicating on this issue. I'm closing this ticket out as CANTFIX, and adding it to ForbiddenItems:

http://fedoraproject.org/wiki/ForbiddenItems#TrueCrypt

If TrueCrypt were to make major changes to their licensing, then we might be able to reconsider this, however, given the tone in our communications, I do not feel this is likely to occur.

Comment 10 Levente Farkas 2008-11-20 22:33:52 UTC
since you communicating again it'd be useful if the new license also apply to the older version (like 4.3a too). some of us still believe it has some reason to package that version too.
thanks

Comment 11 Mads Kiilerich 2011-09-03 00:29:45 UTC
Their latest release is under their license version 3 - but I don't know if that is any better. ...

Comment 12 Tom "spot" Callaway 2011-09-06 13:40:21 UTC
I doubt it, but I have not had time to look.

Comment 13 Mads Kiilerich 2012-06-04 16:05:39 UTC
Copying note on ForbiddenItems here: All Fedora versions do now have tcplay - an independently developed TrueCrypt-compatible program under the BSD license.


Note You need to log in before you can comment on or make changes to this bug.